A `LocationConfig` mock that gets/sets all config from an in-memory object

### Hierarchy

- MemoryLocationConfig

### Implements

- LocationConfig

## Index

### Properties

- _baseHref
- _hashPrefix
- _host
- _port
- _protocol
- dispose

### Methods

- baseHref
- hashPrefix
- host
- html5Mode
- port
- protocol

## Properties

_baseHref: string = ""

- Defined in vanilla/memoryLocationConfig.ts:14

_hashPrefix: string = ""

- Defined in vanilla/memoryLocationConfig.ts:18

_host: string = "localhost"

- Defined in vanilla/memoryLocationConfig.ts:17

_port: number = 80

- Defined in vanilla/memoryLocationConfig.ts:15

_protocol: string = "http"

- Defined in vanilla/memoryLocationConfig.ts:16

dispose: noop = noop

Implementation of LocationConfig.dispose

- Defined in vanilla/memoryLocationConfig.ts:12

## Methods

- baseHref(): string

- #### Returns string

  Implementation of LocationConfig.baseHref

  - Defined in vanilla/memoryLocationConfig.ts:23

- hashPrefix(newval?: any): any

- #### Parameters

  - ##### newval: Optional any

  #### Returns any

  - Defined in vanilla/memoryLocationConfig.ts:25

- host(): string

- #### Returns string

  Implementation of LocationConfig.host

  - Defined in vanilla/memoryLocationConfig.ts:22

- html5Mode(): boolean

- #### Returns boolean

  Implementation of LocationConfig.html5Mode

  - Defined in vanilla/memoryLocationConfig.ts:24

- port(): number

- #### Returns number

  Implementation of LocationConfig.port

  - Defined in vanilla/memoryLocationConfig.ts:20

- protocol(): string

- #### Returns string

  Implementation of LocationConfig.protocol

  - Defined in vanilla/memoryLocationConfig.ts:21

Generated using TypeDoc